## tde-style-baghira-trinity 14.1.0

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 3.1 )


#### general package setup

project( tde-style-baghira )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )


##### set version number ########################

tde_set_project_version( )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all" ON )
option( BUILD_DOC          "Build documentation"   ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"    ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( bab )
add_subdirectory( deco )
add_subdirectory( icons )
add_subdirectory( style )
add_subdirectory( config )
add_subdirectory( starter )
add_subdirectory( kickermenu )
add_subdirectory( colorscheme )
add_subdirectory( sessionapplet )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
tde-style-baghira-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tde-style-baghira

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 10 Mar 2023 08:22:42 +0100

tde-style-baghira-trinity (0.8-1debian7.0.0+0) wheezy; urgency=low

  * Initial Release for TDE

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 26 Mar 2016 00:34:04 +0100

baghira (0.8-1) unstable; urgency=low

  * New upstream version

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Wed, 25 Oct 2006 0:52:07 +0200

baghira (0.7+cvs20060507-2) unstable; urgency=low

  * Restore missing libtool support files (Closes: #368015)

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri, 20 May 2006 21:54:39 +0200

baghira (0.7+cvs20060507-1) unstable; urgency=low

  * New upstream version
    - Fixes for g++4.1 (Closes: #356583)
    - Sidebar builds natively (Closes: #345872)
    - Sidebar uses proper remote:/ handler (Closes: #345833)

  * Rebuild
    - new C++ ABI (Closes: #327935)
    - newer autotools/libtool (Closes: #343957)
    - Build with KDE 3.5.2 tools

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri, 12 May 2006  4:33:17 +0200

baghira (0.7a-1) unstable; urgency=low

  * New upstream version
    - Upstream removed all icons whose license was unclear and 

  * Rebuild with new C++ ABI (Closes: #327935)
    - Build with KDE3.4 tools: fix compilation errors (Closes: #325820)

  * Packaging enhancements:
    - Ensure proper installation dir for documentation

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri, 30 Sep 2005 15:32:28 +0200

baghira (0.6f-1) unstable; urgency=medium

  * New upstream version
    - Upstream removed all icons whose license was unclear and 
      replaced them with his original artwork [along with the SVG source,
      so this won't even be an issue with Etch] (Closes: #298294)
      (urgency->medium)
    - Backported to KDE3.3 with assistance from upstream, so that it can
      compile and run with current "testing" packages.

  * Build enhancements:
    - removed "strip" options in debian/rules; just dh_strip is enough.

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Thu, 05 May 2005 19:01:17 +0200

baghira (0.6a-1) unstable; urgency=low

  * New upstream version (Closes: #292161)
    - Includes fix for 64bit platforms (Closes: #285349)

  * Modified BAB's manpage so that it goes into section 1 (Closes: #284775)

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Thu, 27 Jan 2005 17:08:59 +0100

baghira (0.6-1) unstable; urgency=low

  * New upstream version

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri, 19 Nov 2004 01:47:46 +0100

baghira (0.5h-1) unstable; urgency=low

  * First upload to Debian Archive. Fullfill ITP (Closes: #277582)

  * Package sponsored by Roberto Lumbreras <rover@debian.org>

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri, 22 Oct 2004 02:41:46 +0200

## tde-style-baghira-trinity 14.1.1

=== debian/changelog ===
tde-style-baghira-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tde-style-baghira

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 14 Sep 2023 03:51:37 +0200

## tde-style-baghira-trinity 14.1.2

=== debian/changelog ===
tde-style-baghira-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tde-style-baghira

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 02 Apr 2024 09:55:03 +0200

## tde-style-baghira-trinity 14.1.3

=== debian/changelog ===
tde-style-baghira-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tde-style-baghira

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 14 Aug 2024 23:07:41 +0200

## tde-style-baghira-trinity 14.1.4

=== debian/changelog ===
tde-style-baghira-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tde-style-baghira

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## tde-style-baghira-trinity 14.1.5~pre5

=== debian/changelog ===
tde-style-baghira-trinity (4:14.1.5~pre5-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for c43d3e02f97df410fc3590e9007f0d0ef458b8d1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tde-style-baghira

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tde-style-baghira-trinity 14.1.5

=== config/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${X11_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
  ${X11_LIBRARY_DIRS}
)


##### pixmaps.h (header)

set( _pics ${CMAKE_SOURCE_DIR}/imagebase/button-base
           ${CMAKE_SOURCE_DIR}/imagebase/button-shadow
           ${CMAKE_SOURCE_DIR}/imagebase/brush-me
)

set( _header pixmaps.h )

add_custom_command(
    OUTPUT  ${_header}  
    COMMAND
      ${UIC_EXECUTABLE} -embed baghira ${_pics} |
      ${SED_EXECUTABLE}
        -e 's|void qInitImages_baghira|static void qInitImages_baghira|'
        -e 's|void qCleanupImages_baghira|static void qCleanupImages_baghira|'
      > ${_header}
    DEPENDS ${_pics}
)


##### tdestyle_baghira_config (kpart)

set_source_files_properties(
    tdestyle_baghira_config.cpp colordialog.cpp
    PROPERTIES OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${_header}
)


tde_add_kpart( tdestyle_baghira_config AUTOMOC

  SOURCES
        configdialog.ui
        help.ui about.ui
        tdestyle_baghira_config.cpp
        colordialog.cpp
        colorpicker.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== deco/CMakeLists.txt ===
tde_import( twin )

add_subdirectory( config )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${X11_INCLUDE_DIR}
  ${XEXT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
  ${X11_LIBRARY_DIRS}
  ${XEXT_LIBRARY_DIRS}
)


##### pixmaps.h (header)

set( _pics ${CMAKE_SOURCE_DIR}/imagebase/brushed-gradient
           ${CMAKE_SOURCE_DIR}/imagebase/brushed-tile
           ${CMAKE_SOURCE_DIR}/imagebase/button_jaguar
           ${CMAKE_SOURCE_DIR}/imagebase/button_jaguar_down
           ${CMAKE_SOURCE_DIR}/imagebase/button_jaguar_menu
           ${CMAKE_SOURCE_DIR}/imagebase/button_jaguar_menu_down
           ${CMAKE_SOURCE_DIR}/imagebase/button_milk
           ${CMAKE_SOURCE_DIR}/imagebase/button_milk_down
           ${CMAKE_SOURCE_DIR}/imagebase/button_milk_menu
           ${CMAKE_SOURCE_DIR}/imagebase/button_milk_menu_down
           ${CMAKE_SOURCE_DIR}/imagebase/button_panther
           ${CMAKE_SOURCE_DIR}/imagebase/button_panther_menu
           ${CMAKE_SOURCE_DIR}/imagebase/deco_glossy
           ${CMAKE_SOURCE_DIR}/imagebase/icon_above
           ${CMAKE_SOURCE_DIR}/imagebase/icon_behind
           ${CMAKE_SOURCE_DIR}/imagebase/icon_close
           ${CMAKE_SOURCE_DIR}/imagebase/icon_help
           ${CMAKE_SOURCE_DIR}/imagebase/icon_maximize
           ${CMAKE_SOURCE_DIR}/imagebase/icon_minimize
           ${CMAKE_SOURCE_DIR}/imagebase/icon_shade
           ${CMAKE_SOURCE_DIR}/imagebase/icon_sticky
)

set( _header pixmaps.h )

add_custom_command(
    OUTPUT  ${_header}  
    COMMAND ${UIC_EXECUTABLE}
    ARGS -o ${_header} -embed baghira ${_pics}
    DEPENDS ${_pics}
)

##### twin3_baghira (kpart)

set_source_files_properties(
    baghiraclient.cpp
    PROPERTIES OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${_header}
)

tde_add_kpart( twin3_baghira AUTOMOC

  SOURCES
        baghiraclient.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdecorations-shared
     ${X11_LIBRARIES}
     ${XEXT_LIBRARIES}

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE baghira.desktop
    DESTINATION ${DATA_INSTALL_DIR}/twin
)

=== icons/CMakeLists.txt ===
##### icons

tde_install_icons()

=== kickermenu-3.3/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${X11_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
  ${X11_LIBRARY_DIRS}
)


##### b_menu_panelapplet (kpart)

tde_add_kpart( b_menu_panelapplet AUTOMOC

  SOURCES
        menuapplet.cpp
        menuapplet.skel
  LINK
     tdecore-shared
     tdeui-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE b_menuapplet.desktop
    DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
)

=== sessionapplet/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)


##### usermanager_panelapplet (shared)

tde_add_library( usermanager_panelapplet MODULE AUTOMOC

  SOURCES
        usermanager.cpp
        dmctl.cpp
  LINK
     tdeui-shared
     tdecore-shared

  DESTINATION ${LIB_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE usermanager.desktop
    DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
    OUTPUT_NAME baghira-usermanager.desktop
)

=== sidebar/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)


##### konqsidebar_baghirasidebar (kpart)

tde_add_kpart( konqsidebar_baghirasidebar AUTOMOC

  SOURCES
        linkconfig.ui
        baghirasidebariface.skel
        ../starter/baghiralinkdrag.cpp
        baghirasidebar.cpp
        linkview.cpp
        listboxlink.cpp
        dndlistbox.cpp   
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeparts-shared
     konqsidebarplugin-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE baghirasidebar_add.desktop
    DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/add
)

tde_create_translated_desktop(
    SOURCE baghirasidebar.desktop
    DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/entries
)

install(
    FILES ../imagebase/poof.png
    DESTINATION ${DATA_INSTALL_DIR}/baghira
)

=== starter/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${X11_INCLUDE_DIR}
  ${X11_XTEST_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
  ${X11_LIBRARY_DIRS}
  ${X11_XTEST_LIBRARY_DIRS}
)


##### baghirastarter (shared)

tde_add_library( baghirastarter SHARED AUTOMOC

  SOURCES
        starterconfig.ui
        starterhelp.ui
        configdialog.ui
        help.ui
        linkconfig.ui
        starteriface.skel
        baghiralinkdrag.cpp
        menu.cpp starter.cpp
  LINK
     tdeui-shared
     tdecore-shared
     tdeio-shared
     ${X11_XTEST_LIBRARIES}

  DESTINATION ${LIB_INSTALL_DIR}
)


##### icons

tde_install_icons()


##### other data

install(
    FILES ../imagebase/poof.png
    DESTINATION ${DATA_INSTALL_DIR}/baghira
)

tde_create_translated_desktop(
    SOURCE starter.desktop
    DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
    OUTPUT_NAME baghira-starter.desktop
)

=== style/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${X11_INCLUDE_DIR}
  ${X11_XTEST_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
  ${X11_LIBRARY_DIRS}
  ${X11_XTEST_LIBRARY_DIRS}
)


##### pixmaps.h (header)

set( _pics ${CMAKE_SOURCE_DIR}/imagebase/brushed-gradient
           ${CMAKE_SOURCE_DIR}/imagebase/brushed-tile
           ${CMAKE_SOURCE_DIR}/imagebase/button-base
           ${CMAKE_SOURCE_DIR}/imagebase/button-milk
           ${CMAKE_SOURCE_DIR}/imagebase/button-glow
           ${CMAKE_SOURCE_DIR}/imagebase/button-jaguar
           ${CMAKE_SOURCE_DIR}/imagebase/button-shadow
           ${CMAKE_SOURCE_DIR}/imagebase/checkbox
           ${CMAKE_SOURCE_DIR}/imagebase/checkboxdown
           ${CMAKE_SOURCE_DIR}/imagebase/checkbox-milk
           ${CMAKE_SOURCE_DIR}/imagebase/checkboxdown-milk
           ${CMAKE_SOURCE_DIR}/imagebase/combo
           ${CMAKE_SOURCE_DIR}/imagebase/combo-milk
           ${CMAKE_SOURCE_DIR}/imagebase/combo-jaguar
           ${CMAKE_SOURCE_DIR}/imagebase/combo-shadow
           ${CMAKE_SOURCE_DIR}/imagebase/progress
           ${CMAKE_SOURCE_DIR}/imagebase/progress2
           ${CMAKE_SOURCE_DIR}/imagebase/radio
           ${CMAKE_SOURCE_DIR}/imagebase/radio_down
           ${CMAKE_SOURCE_DIR}/imagebase/radio-milk
           ${CMAKE_SOURCE_DIR}/imagebase/radio_down-milk
           ${CMAKE_SOURCE_DIR}/imagebase/rectbutton
           ${CMAKE_SOURCE_DIR}/imagebase/roundFrame
           ${CMAKE_SOURCE_DIR}/imagebase/sbgroove_btm
           ${CMAKE_SOURCE_DIR}/imagebase/sbgroove_mid
           ${CMAKE_SOURCE_DIR}/imagebase/sbgroove_top
           ${CMAKE_SOURCE_DIR}/imagebase/sbIslider_mid
           ${CMAKE_SOURCE_DIR}/imagebase/sbslider_btm
           ${CMAKE_SOURCE_DIR}/imagebase/sbslider_btm_shd
           ${CMAKE_SOURCE_DIR}/imagebase/sbslider_mid
           ${CMAKE_SOURCE_DIR}/imagebase/sbslider_top
           ${CMAKE_SOURCE_DIR}/imagebase/sbslider_top_shd
           ${CMAKE_SOURCE_DIR}/imagebase/sb_subadd
           ${CMAKE_SOURCE_DIR}/imagebase/sliderarrow
           ${CMAKE_SOURCE_DIR}/imagebase/sbgroove_btm-milk
           ${CMAKE_SOURCE_DIR}/imagebase/sbgroove_mid-milk
           ${CMAKE_SOURCE_DIR}/imagebase/sbgroove_top-milk
           ${CMAKE_SOURCE_DIR}/imagebase/sbslider_btm-milk
           ${CMAKE_SOURCE_DIR}/imagebase/sbslider_mid-milk
           ${CMAKE_SOURCE_DIR}/imagebase/sbslider_top-milk
           ${CMAKE_SOURCE_DIR}/imagebase/sb_subadd-milk
           ${CMAKE_SOURCE_DIR}/imagebase/sliderarrow-milk
           ${CMAKE_SOURCE_DIR}/imagebase/tab
           ${CMAKE_SOURCE_DIR}/imagebase/tab-milk
           ${CMAKE_SOURCE_DIR}/imagebase/tab-jaguar
)

set( _header pixmaps.h )

add_custom_command(
    OUTPUT  ${_header}  
    COMMAND ${UIC_EXECUTABLE}
    ARGS -o ${_header} -embed baghira ${_pics}
    DEPENDS ${_pics}
)


##### baghira (kpart)

set_source_files_properties(
    baghira.cpp
    PROPERTIES OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${_header}
)

tde_add_kpart( baghira AUTOMOC

  SOURCES
        baghira.cpp
        optionHandler.cpp
        polish.cpp utils.cpp
  LINK
     tdecore-shared
     tdeui-shared
     ${X11_XTEST_LIBRARIES}

  DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/styles
)


tde_create_translated_desktop(
    SOURCE baghira.themerc
    DESTINATION ${DATA_INSTALL_DIR}/tdestyle/themes
)

=== debian/changelog ===
tde-style-baghira-trinity (4:14.1.5-0raspbian13.0.0+0) raspbian-trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tde-style-baghira

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
Source: tde-style-baghira-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
X-Original-Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdebase-trinity-dev, libxtst-dev
Standards-Version: 3.8.0

Package: tde-style-baghira-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: TDE style for Apple junkies :)
 Based upon mosfet-liquid0.9.6pre4... the last heir of mosfet.
 Baghira includes both an style (custom widgets) and twin decoration as
 well as colour schemes.
 .
 Baghira (panther, in german) makes TDE resemble Apple's MacOS X's Aqua,
 Panther and Jaguar looks, and also includes its own 'Baghira' look

## tde-style-baghira-trinity 14.1.6~pre0

=== debian/changelog ===
tde-style-baghira-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for c43d3e02f97df410fc3590e9007f0d0ef458b8d1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-style-baghira

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tde-style-baghira-trinity 14.1.6~pre3

=== debian/changelog ===
tde-style-baghira-trinity (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 5f3a57e3c155d169d12934640277606f5835c32a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-style-baghira

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Jan 2026 22:32:12 +0100

## tde-style-baghira-trinity 14.2.0~pre90

=== config/CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 add_custom_command(
     OUTPUT  ${_header}  
     COMMAND
-      ${UIC_EXECUTABLE} -embed baghira ${_pics} |
+      ${TQUIC_EXECUTABLE} -embed baghira ${_pics} |
       ${SED_EXECUTABLE}
         -e 's|void qInitImages_baghira|static void qInitImages_baghira|'
         -e 's|void qCleanupImages_baghira|static void qCleanupImages_baghira|'

=== deco/CMakeLists.txt ===
--- 
+++ 
@@ -49,19 +49,19 @@
 
 add_custom_command(
     OUTPUT  ${_header}  
-    COMMAND ${UIC_EXECUTABLE}
+    COMMAND ${TQUIC_EXECUTABLE}
     ARGS -o ${_header} -embed baghira ${_pics}
     DEPENDS ${_pics}
 )
 
-##### twin3_baghira (kpart)
+##### twin_baghira (kpart)
 
 set_source_files_properties(
     baghiraclient.cpp
     PROPERTIES OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${_header}
 )
 
-tde_add_kpart( twin3_baghira AUTOMOC
+tde_add_kpart( twin_baghira AUTOMOC
 
   SOURCES
         baghiraclient.cpp

=== style/CMakeLists.txt ===
--- 
+++ 
@@ -69,7 +69,7 @@
 
 add_custom_command(
     OUTPUT  ${_header}  
-    COMMAND ${UIC_EXECUTABLE}
+    COMMAND ${TQUIC_EXECUTABLE}
     ARGS -o ${_header} -embed baghira ${_pics}
     DEPENDS ${_pics}
 )

=== deco/config/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)


##### pixmaps.h (header)

set( _pics ${CMAKE_SOURCE_DIR}/imagebase/icon_help
           ${CMAKE_SOURCE_DIR}/imagebase/preview
           ${CMAKE_SOURCE_DIR}/imagebase/preview-menu
)

set( _header pixmaps.h )

add_custom_command(
    OUTPUT  ${_header}  
    COMMAND ${TQUIC_EXECUTABLE}
    ARGS -o ${_header} -embed baghira ${_pics}
    DEPENDS ${_pics}
)

##### twin_baghira_config (kpart)

set_source_files_properties(
    baghiraconfig.cpp
    PROPERTIES OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${_header}
)

tde_add_kpart( twin_baghira_config AUTOMOC

  SOURCES
        configdialog.ui
        baghiraconfig.cpp
        aquariusbutton.cpp
        colorpicker.cpp
  LINK
     tdecore-shared
     tdeui-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== debian/changelog ===
tde-style-baghira-trinity (4:14.2.0~pre90-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for a1d880e2d6bf7d09ac8ca6f683f411700215d152
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-style-baghira

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## tde-style-baghira-trinity 14.2.0~pre91

=== debian/changelog ===
tde-style-baghira-trinity (4:14.2.0~pre91-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 46a12a2a70c69fc280ffa8aa4a47f6d955d11457
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-style-baghira

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:11:17 +0100

## tde-style-baghira-trinity 14.2.0~pre93

=== debian/changelog ===
tde-style-baghira-trinity (4:14.2.0~pre93-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for cf03478dd7b81d917e05d607c1fa559ebbc6b941
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-style-baghira

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Jan 2026 20:51:10 +0100
